[beta] Returns a list of all detections in an organization.

This endpoint will return all detections detected by in-vehicle assets and associated metadata. To get core endpoint data, select View Safety Detection Log under the Safety & Cameras category when creating or editing an API token.

If you include an endTime, the endpoint will return data up until that point. If you don’t include an endTime, you can continue to poll the API real-time with the pagination cursor that gets returned on every call. Results are paginated.

Rate limit: 5 requests/sec (learn more about rate limits here).

To use this endpoint, select Read Detection Log under the Safety & Cameras category when creating or editing an API token. Learn More.

Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.

Query Params
driverIds
array of strings

Optional string of comma separated driver IDs. If driver ID is present, events for the specified driver(s) will be returned. Max for this value is 2000 objects. (Example: 281474982859091,281471982957527)

driverIds
assetIds
array of strings

Optional string of comma separated asset IDs. If asset ID is present, events for the specified asset(s) will be returned. Max for this value is 2000 objects. (Example: 281474982859091,281471982957527)

assetIds
detectionBehaviorLabels
array of strings

Optional string of comma separated labels to filter behavior labels. Uses OR semantics for filtering. An empty list allows all values. Valid values: acceleration, braking, crash, drowsy, eatingDrinking, edgeRailroadCrossingViolation, followingDistance, forwardCollisionWarning, genericDistraction, harshTurn, heavySpeeding, laneDeparture, lightSpeeding, maxSpeed, mobileUsage, moderateSpeeding, noSeatbelt, obstructedCamera, passenger, policyViolationMask, ranRedLight, rearCollisionWarning, reversing, rollingStop, rolloverProtection, severeSpeeding, smoking, speeding, unsafeParking, vehicleInBlindSpotWarning, vulnerableRoadUserCollisionWarning, yawControl. (Example: rollingStop,obstructedCamera,noSeatbelt)

detectionBehaviorLabels
inboxFilterReason
array of strings

Optional string of comma separated reasons to filter detections. Uses OR semantics for filtering. An empty list allows all values. Valid values: overDailyLimit, overHourlyLimit, overTripLimit, belowConfidenceThreshold, belowSeverityThreshold, overEventRateLimit, geofenceFilter, belowNudgeThreshold, belowSpeedThreshold, nighttimeFilter, speedingFilter, inCabAlertOnly, unknown. (Example: overDailyLimit,overHourlyLimit,belowConfidenceThreshold)

inboxFilterReason
boolean

Indicates whether or not to return detections with an associated Safety Inbox event. An empty entry allows all values. (Example: true)

boolean

Indicates whether or not to return detections where in-cab alert played. An empty entry allows all values. (Example: true)

tagIds
array of strings

An optional filter on the data based on this comma-separated list of tag IDs. The filtering is OR inclusive for asset and driver tags. (Example: 1234,5678)

tagIds
boolean
Defaults to false

Indicates whether or not to return expanded data for asset objects. (Example: true)

boolean
Defaults to false

Indicates whether or not to return expanded data for driver objects. (Example: true)

string
required

Required RFC 3339 timestamp that indicates when to begin receiving data. Value is compared against updatedAtTime. (Example: 2024-04-16T19:08:25Z)

string

Optional RFC 3339 timestamp. If not provided then the endpoint behaves as an unending feed of changes. If endTime is set the same as startTime, the most recent data point before that time will be returned per asset. Value is compared against updatedAtTime. (Example: 2024-04-23T19:08:25Z)

string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

Responses

Language
Credentials
Bearer
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json